<% @CODEPAGE = 65001 %>
<%
'*********************************************************
'
'   Tektronix Windows 2000 Print Status ASP Page Project
'
'   Copyright (c) Tektronix, Inc. 1999
'
'   Description
'
'	Tektronix Print Status Main Definitions
'
'   History
'
'       Version 1.0 7/22/99     Greg Thornton
'	Version 1.1 9/8/99	Greg Thornton, addition of ResponseCharSet
'	Version 1.2 9/24/99	Greg Thornton, MS session variable bug
'
'*********************************************************
%>


<%
Response.Expires 	= -1				' Set http expires time to earliest possible
Response.Buffer		= TRUE				' Send buffer at end of page build
Response.CacheControl   = "Private"			' Disable public caching
Response.AddHeader	"Pragma", "no-cache"		' HTTP 1.0 method for disabling caching
Response.AddHeader 	"Refresh", "60"			' Set http (client) refresh time 
Response.ContentType 	= "text/HTML" 
On Error Resume Next
Err.Clear

%>

<!-- #include file = "text.inc" -->
<!-- #include file = "snmp.inc" -->
<!-- #include file = "dhtml.inc" -->

<% 

'Donot write any data to the output buffer prior to executing this statement. 
Session.CodePage	= ResponseCodePage
Response.Charset 	= ResponseCharSet
%>


<html>

<head>

<title><%= text(PRINTER_STATUS) %></title>


<STYLE>

<!-- 

body { background: #FFFFFF; color: #000000; font-family: Arial,Geneva,sans-serif; font-size: 10pt}


p { color: #000000; font-family: Arial,Geneva,sans-serif; font-size: 10pt}

ol { color: #000000; font-family: Arial,Geneva,sans-serif; font-size: 10pt}

ul { color: #000000; font-family: Arial,Geneva,sans-serif; font-size: 10pt}

li { color: #000000; font-family: Arial,Geneva,sans-serif; font-size: 10pt}

td { color: #000000; font-family: Arial,Geneva,sans-serif; font-size: 10pt}

th { color: #000000; font-family: Arial,Geneva,sans-serif; font-weight: bold; font-size: 10pt}

h1 {  color: #FF9900; font-family: Arial,Geneva,sans-serif; font-size: 14pt}

h2 {  color: #990099; font-family: Arial,Geneva,sans-serif; font-size: 14pt}

h3 {  color: #FF9900; font-family: Arial,Geneva,sans-serif; font-size: 12pt}

h4 { color: #990099; font-family: Arial,Geneva,sans-serif; font-size: 12pt}

h5 {  font-family: Arial,Geneva,sans-serif; font-size: 10pt}

h6 { font-family: Arial,Geneva,sans-serif; font-size: 10pt}

sup { vertical-align: top; font-size: 65%}

a:link { color: #0000FF;}

a:visited { color: #CC00CC;}

-->

</STYLE>

</head>


<body text="#000000" bgcolor="#FFFFFF">

<H3><%= text(PHASERLINK) %><sup>TM</sup><%= " " & text(PRINTER_STATUS) %></H3>

<%
	Dim model
	
	On Error Resume Next
	Err.Clear

	model = GetSNMPStatus()

	If Err.Number <> 0 Then htmlErrorPage ERROR_SNMP

	If model = M_UNKNOWN Then
		Response.Redirect("http://" & Request("MS_IPAddress") & "/_status_nt5.shtml")
		If Err.Number <> 0 Then htmlErrorPage ERROR_REDIRECT
	End If

	htmlPrinterAdvisoryTable model
	If Err.Number <> 0 Then htmlErrorPage ERROR_HTML

	htmlPrinterStatusTable model
	If Err.Number <> 0 Then htmlErrorPage ERROR_HTML
%>

